<?php

namespace NovaAddons\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Scheme_Typography;


if (!defined('ABSPATH')) exit; // Exit if accessed directly


class Test extends Widget_Base
{

    public function get_name()
    {
        return 'test';
    }

    public function get_title()
    {
        return __('تست', 'Nova');
    }


    public function get_icon()
    {
        return 'fas fa-search';
    }


    public function get_categories()
    {
        return ['Nova_cat'];
    }



    protected function register_controls()
    {
        $this->start_controls_section(
            'section_content',
            [
                'label' => __('محتوا', 'Nova'),
            ]
        );



        $this->end_controls_section();
    }


    protected function render()
    {
        $settings = $this->get_settings_for_display();
        echo '<span>click</span></br>';
        echo '<p>hi</p>';
         }


    protected function _content_template()
    {
    }
}
